Web Home
Getting Started
Manual
Packages
Quick Reference
Language Reference
Function Reference
I/O Reference

- Language Reference
- Function Reference
  - Including Source Files
  - Comments
  - Issuing Shell Commands
  - Matrix Multiplication
  - Information About Variables
  - Elementary Functions
  - Advanced Array Indexing
  - Index Range Functions
  - Logical Functions
  - Interpolation and Lookup Functions
  - Sorting
  - Transposing
  - Manipulating Strings
  - Generating Simple Meshes
  - Using Pointers
  - Instancing Data Structures
  - Reshaping Arrays
- I/O Reference

# Yorick Function Reference

## Comments

`/* Yorick comments begin with slash-asterisk,`
`and end with asterisk-slash. A comment`
`of any size is treated as a single blank. */`

Since `/* ... */` comments do not nest properly, Yorick supports C++ style comments as well:

`statement //` remainder of line is comment (C++)
`//` Prefix a double slash to each line to comment out
`//` a block of lines, which may contain comments.